Subject: Re: bug#70764: 29.1; M-x gdb: don't ask me about debuginfod server if debuginfod is not in context

From: Rolf Ade <[email-masked]>
Date: Sat, 4 May 2024 18:26:41 +0200

Am 04.05.24 um 18:12 schrieb Eli Zaretskii:
>> Date: Sat, 4 May 2024 17:42:20 +0200
>> Cc: [email-masked]
>> From: Rolf Ade <[email-masked]>
>>
>> Am 04.05.24 um 16:11 schrieb Eli Zaretskii:
>>>> Date: Sat, 4 May 2024 15:32:27 +0200
>>>> From: Rolf Ade <[email-masked]>
[...]
>>>
>>> Strange.  GDB 10.1 was the version where debuginfod support was added.
>>> What does the shell command below show?
>>>
>>>     $ gdb --config | fgrep debuginfod
>>
>> This returns
>>
>>                --with-debuginfod
> 
> Then I'm really stumped.
> 
> If you start GDB from the shell prompt, like this:
> 
>    $ gdb ./emacs
> 
> and then, when GDB shows its "(gdb)" prompt, type
> 
>    (gdb) set debuginfod enabled on
> 
> do you also see that "No symbol" error message?

Yes:

(gdb) set debuginfod enabled on
No symbol "debuginfod" in current context.
(gdb)

> And also please try this:
> 
>   $ gdb -i=mi ./emacs
>   ...
>   -gdb-set debuginfod enabled on
> 
> and see if you get any error message that way.

Yes:

(gdb)
-gdb-set debuginfod enabled on
^error,msg="No symbol \"debuginfod\" in current context."
(gdb)

So, this all seems to lead to that the gdb shipped with Bullseye isn't correctly 
build (despite the --with-debuginfod in the gdb --config output). I see this on 
two different boxes with debian 11.9; this is not specific to a single machine. 
But Bullseye still isn't that uncommon; so others should also see this, I suppose?